--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Generates names for the various utility methods. We need to do this because the various utility methods should not end in = so, while we're at it, we might as well get rid of all punctuation.
full_name: Extlib::Hook::ClassMethods#hook_method_name
is_singleton: false
name: hook_method_name
params: (target_method, prefix, suffix)
visibility: public
